Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class KeyWalker

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.AxesWalker
                        |
                        +--org.apache.xpath.axes.DescendantWalker
                              |
                              +--org.apache.xpath.axes.DescendantOrSelfWalker
                                    |
                                    +--org.apache.xalan.transformer.KeyWalker

public class KeyWalker
extends DescendantOrSelfWalker

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`KeyWalker(LocPathIterator locPathIterator)` Construct a KeyWalker using a LocPathIterator.

Method Summary
`short` | `acceptNode(Node testNode)` Test whether a specified node is visible in the logical view of a TreeWalker or NodeIterator.
`void` | `setRoot(Node root)` Set the root node of the TreeWalker.

Methods inherited from class org.apache.xpath.axes.DescendantOrSelfWalker
`firstChild`

Methods inherited from class org.apache.xpath.axes.DescendantWalker
`nextSibling, parentNode`

Methods inherited from class org.apache.xpath.axes.AxesWalker
`clone, getCurrentNode, getExpandEntityReferences, getFilter, getLastPos, getLocPathIterator, getNextWalker, getPredicateCount, getPredicateIndex, getPrevWalker, getProximityPosition, getProximityPosition, getRoot, init, initProximityPosition, isReverseAxes, lastChild, nextNode, previousNode, previousSibling, reset, resetProximityPositions, setCurrentNode, setLocPathIterator, setNextWalker, setPredicateCount, setPrevWalker, toString`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyWalker

    public KeyWalker(LocPathIterator locPathIterator)

  Construct a KeyWalker using a LocPathIterator.

Method Detail

### setRoot

    public void setRoot(Node root)

  Set the root node of the TreeWalker.
  Overrides:
    setRoot in class DescendantOrSelfWalker

### acceptNode

    public short acceptNode(Node testNode)

  Test whether a specified node is visible in the logical view of a TreeWalker or NodeIterator. This function will be called by the implementation of TreeWalker and NodeIterator; it is not intended to be called directly from user code.
  Parameters:
    `n` - The node to check to see if it passes the filter or not.
  Returns:
    a constant to determine whether the node is accepted, rejected, or skipped, as defined above .
  Overrides:
    acceptNode in class AxesWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.